import { User } from './interface/User.interface';
declare class AuthApi {
    baseUrl: string;
    request(endpoint: string, method: string, body?: any): Promise<any>;
    signIn(email: string, password: string): Promise<User>;
    signOut(): Promise<void>;
    signUp(email: string, password: string, otherParams: object): Promise<User>;
    forgotPassword(email: string): Promise<void>;
    refreshTokens(refreshToken: string): Promise<{
        accessToken: string;
        refreshToken: string;
    }>;
    verifyEmail(token: string): Promise<void>;
    checkEmail(email: string): Promise<boolean>;
    checkUsername(username: string): Promise<boolean>;
}
declare const authApi: AuthApi;
export default authApi;
