"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var AvatarUpdate_1 = __importDefault(require("./AvatarUpdate"));
var input_1 = require("../../../ui/input");
var button_1 = require("../../../ui/button");
var formik_1 = require("formik");
var Profile = function () {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("div", { className: "mt-7  text-lg font-semibold" }, "Profile"),
        react_1.default.createElement("hr", { className: "mt-1 mb-4" }),
        react_1.default.createElement("div", { className: "flex justify-center" },
            react_1.default.createElement(AvatarUpdate_1.default, null)),
        react_1.default.createElement(formik_1.Formik, { initialValues: { name: '', username: '', email: '' }, onSubmit: function () { } }, function (_a) {
            var values = _a.values, handleChange = _a.handleChange, handleBlur = _a.handleBlur, isSubmitting = _a.isSubmitting, errors = _a.errors, touched = _a.touched, handleSubmit = _a.handleSubmit;
            return (react_1.default.createElement("form", { onSubmit: handleSubmit, className: "mx-1" },
                react_1.default.createElement("div", { className: "text-base" }, " Name"),
                react_1.default.createElement(input_1.Input, { className: "mt-1 w-full", value: values.name, type: "text", name: "name", onChange: handleChange, onBlur: handleBlur }),
                errors.name && touched.name && errors.name,
                react_1.default.createElement("div", { className: "text-base mt-2" }, " Username"),
                react_1.default.createElement(input_1.Input, { className: "mt-1 w-full", value: values.username, type: "text", name: "username", onChange: handleChange, onBlur: handleBlur }),
                errors.username && touched.username && errors.username,
                react_1.default.createElement("div", { className: "text-base mt-2" }, " Email"),
                react_1.default.createElement(input_1.Input, { className: "mt-1 w-full", value: values.email, type: "email", name: "email", onChange: handleChange, onBlur: handleBlur }),
                errors.email && touched.email && errors.email,
                react_1.default.createElement(button_1.Button, { type: "submit", className: "mt-5 ", disabled: isSubmitting }, "Save changes")));
        })));
};
exports.default = Profile;
