"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.log = exports.logAsTable = void 0;
function logAsTable(variableObj, emojis) {
    if (typeof variableObj !== 'object' ||
        (emojis && !Array.isArray(emojis) && typeof emojis !== 'string')) {
        console.error('First argument should be an object and the second, if provided, should be an array or a string.');
        return;
    }
    // Convert the comma-separated string into an array if necessary
    if (typeof emojis === 'string') {
        emojis = emojis.split(',').map(function (emoji) { return emoji.trim(); });
    }
    var tableData = {};
    var variableNames = Object.keys(variableObj);
    for (var i = 0; i < variableNames.length; i++) {
        var key = "".concat(emojis && emojis[i] ? emojis[i] : '', " ").concat(variableNames[i]);
        // If the value is an object, log it separately and use a placeholder in the table
        if (typeof variableObj[variableNames[i]] === 'object') {
            console.log("".concat(key, " Object:"), variableObj[variableNames[i]]);
            tableData[key] = '[Object Logged Above]';
        }
        else {
            tableData[key] = variableObj[variableNames[i]];
        }
    }
    // Log the data as a table
    console.table(tableData);
}
exports.logAsTable = logAsTable;
function log(variableObj, emojis) {
    if (typeof variableObj !== 'object' ||
        (emojis && !Array.isArray(emojis) && typeof emojis !== 'string')) {
        console.error('First argument should be an object and the second, if provided, should be an array or a string.');
        return;
    }
    // Convert the comma-separated string into an array if necessary
    if (typeof emojis === 'string') {
        emojis = emojis.split(',').map(function (emoji) { return emoji.trim(); });
    }
    var logArgs = [];
    var variableNames = Object.keys(variableObj);
    var variableValues = Object.values(variableObj);
    for (var i = 0; i < variableNames.length; i++) {
        // Add the emoji if it exists
        if (emojis && emojis[i]) {
            logArgs.push(emojis[i]);
        }
        // Add the variable name
        logArgs.push(variableNames[i]);
        // Add the actual variable value
        logArgs.push(variableValues[i]);
    }
    // Log the prepared arguments
    console.log.apply(console, logArgs);
}
exports.log = log;
