/** @jsxRuntime classic */
/** @jsx createPlasmicElementProxy */
/** @jsxFrag React.Fragment */
import * as React from "react";
import * as p from "@plasmicapp/react-web";
import { MultiChoiceArg } from "@plasmicapp/react-web";
import Logo from "../../Logo";
import NewsletterForm from "../../NewsletterForm";
import { Reveal } from "@plasmicpkgs/react-awesome-reveal";
import { AntdButton } from "@plasmicpkgs/antd5/skinny/registerButton";
import "@plasmicapp/react-web/lib/plasmic.css";
export type PlasmicFooter__VariantMembers = {
    product: "hubHub" | "proPro" | "mapMap" | "stampStamp" | "shortStop";
};
export type PlasmicFooter__VariantsArgs = {
    product?: MultiChoiceArg<"hubHub" | "proPro" | "mapMap" | "stampStamp" | "shortStop">;
};
export declare const PlasmicFooter__VariantProps: "product"[];
export type PlasmicFooter__ArgsType = {};
export declare const PlasmicFooter__ArgProps: never[];
export type PlasmicFooter__OverridesType = {
    root?: p.Flex<"div">;
    logo?: p.Flex<typeof Logo>;
    newsletterForm?: p.Flex<typeof NewsletterForm>;
    reveal?: p.Flex<typeof Reveal>;
    button?: p.Flex<typeof AntdButton>;
    bottom?: p.Flex<"div">;
    svg?: p.Flex<"svg">;
};
export interface DefaultFooterProps {
    product?: MultiChoiceArg<"hubHub" | "proPro" | "mapMap" | "stampStamp" | "shortStop">;
    className?: string;
}
declare const PlasmicDescendants: {
    readonly root: readonly ["root", "logo", "newsletterForm", "reveal", "button", "bottom", "svg"];
    readonly logo: readonly ["logo"];
    readonly newsletterForm: readonly ["newsletterForm"];
    readonly reveal: readonly ["reveal", "button"];
    readonly button: readonly ["button"];
    readonly bottom: readonly ["bottom", "svg"];
    readonly svg: readonly ["svg"];
};
type NodeNameType = keyof typeof PlasmicDescendants;
type DescendantsType<T extends NodeNameType> = (typeof PlasmicDescendants)[T][number];
type ReservedPropsType = "variants" | "args" | "overrides";
type NodeOverridesType<T extends NodeNameType> = Pick<PlasmicFooter__OverridesType, DescendantsType<T>>;
export declare const PlasmicFooter: {
    <T extends {
        variants?: PlasmicFooter__VariantsArgs | undefined;
        args?: PlasmicFooter__ArgsType | undefined;
        overrides?: NodeOverridesType<"root"> | undefined;
    } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"root">, "product" | ReservedPropsType> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "button" | "product" | "bottom" | "svg" | "root" | "newsletterForm" | ReservedPropsType | "logo" | "reveal"> & {
        key?: React.Key | undefined;
    }>(props: T & p.StrictProps<T, {
        variants?: PlasmicFooter__VariantsArgs | undefined;
        args?: PlasmicFooter__ArgsType | undefined;
        overrides?: NodeOverridesType<"root"> | undefined;
    } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"root">, "product" | ReservedPropsType> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "button" | "product" | "bottom" | "svg" | "root" | "newsletterForm" | ReservedPropsType | "logo" | "reveal"> & {
        key?: React.Key | undefined;
    }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
    displayName: string;
} & {
    logo: {
        <T_1 extends {
            variants?: PlasmicFooter__VariantsArgs | undefined;
            args?: PlasmicFooter__ArgsType | undefined;
            overrides?: NodeOverridesType<"logo"> | undefined;
        } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"logo">, "product" | ReservedPropsType> & Omit<Partial<import("../../Logo").LogoProps & React.RefAttributes<HTMLDivElement>>, "product" | ReservedPropsType | "logo"> & {
            key?: React.Key | undefined;
        }>(props: T_1 & p.StrictProps<T_1, {
            variants?: PlasmicFooter__VariantsArgs | undefined;
            args?: PlasmicFooter__ArgsType | undefined;
            overrides?: NodeOverridesType<"logo"> | undefined;
        } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"logo">, "product" | ReservedPropsType> & Omit<Partial<import("../../Logo").LogoProps & React.RefAttributes<HTMLDivElement>>, "product" | ReservedPropsType | "logo"> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    newsletterForm: {
        <T_2 extends {
            variants?: PlasmicFooter__VariantsArgs | undefined;
            args?: PlasmicFooter__ArgsType | undefined;
            overrides?: NodeOverridesType<"newsletterForm"> | undefined;
        } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"newsletterForm">, "product" | ReservedPropsType> & Omit<Partial<import("../../NewsletterForm").NewsletterFormProps & React.RefAttributes<HTMLDivElement>>, "product" | "newsletterForm" | ReservedPropsType> & {
            key?: React.Key | undefined;
        }>(props: T_2 & p.StrictProps<T_2, {
            variants?: PlasmicFooter__VariantsArgs | undefined;
            args?: PlasmicFooter__ArgsType | undefined;
            overrides?: NodeOverridesType<"newsletterForm"> | undefined;
        } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"newsletterForm">, "product" | ReservedPropsType> & Omit<Partial<import("../../NewsletterForm").NewsletterFormProps & React.RefAttributes<HTMLDivElement>>, "product" | "newsletterForm" | ReservedPropsType> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    reveal: {
        <T_3 extends {
            variants?: PlasmicFooter__VariantsArgs | undefined;
            args?: PlasmicFooter__ArgsType | undefined;
            overrides?: NodeOverridesType<"reveal"> | undefined;
        } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"reveal">, "product" | ReservedPropsType> & Omit<Partial<import("@plasmicpkgs/react-awesome-reveal").RevealProps>, "button" | "product" | ReservedPropsType | "reveal"> & {
            key?: React.Key | undefined;
        }>(props: T_3 & p.StrictProps<T_3, {
            variants?: PlasmicFooter__VariantsArgs | undefined;
            args?: PlasmicFooter__ArgsType | undefined;
            overrides?: NodeOverridesType<"reveal"> | undefined;
        } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"reveal">, "product" | ReservedPropsType> & Omit<Partial<import("@plasmicpkgs/react-awesome-reveal").RevealProps>, "button" | "product" | ReservedPropsType | "reveal"> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    button: {
        <T_4 extends {
            variants?: PlasmicFooter__VariantsArgs | undefined;
            args?: PlasmicFooter__ArgsType | undefined;
            overrides?: NodeOverridesType<"button"> | undefined;
        } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"button">, "product" | ReservedPropsType> & Omit<Partial<Omit<import("antd").ButtonProps & React.RefAttributes<HTMLElement>, "target"> & {
            submitsForm?: boolean | undefined;
            target?: boolean | React.HTMLAttributeAnchorTarget | undefined;
        }>, "button" | "product" | ReservedPropsType> & {
            key?: React.Key | undefined;
        }>(props: T_4 & p.StrictProps<T_4, {
            variants?: PlasmicFooter__VariantsArgs | undefined;
            args?: PlasmicFooter__ArgsType | undefined;
            overrides?: NodeOverridesType<"button"> | undefined;
        } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"button">, "product" | ReservedPropsType> & Omit<Partial<Omit<import("antd").ButtonProps & React.RefAttributes<HTMLElement>, "target"> & {
            submitsForm?: boolean | undefined;
            target?: boolean | React.HTMLAttributeAnchorTarget | undefined;
        }>, "button" | "product" | ReservedPropsType> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    bottom: {
        <T_5 extends {
            variants?: PlasmicFooter__VariantsArgs | undefined;
            args?: PlasmicFooter__ArgsType | undefined;
            overrides?: NodeOverridesType<"bottom"> | undefined;
        } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"bottom">, "product" | ReservedPropsType> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "product" | "bottom" | "svg" | ReservedPropsType> & {
            key?: React.Key | undefined;
        }>(props: T_5 & p.StrictProps<T_5, {
            variants?: PlasmicFooter__VariantsArgs | undefined;
            args?: PlasmicFooter__ArgsType | undefined;
            overrides?: NodeOverridesType<"bottom"> | undefined;
        } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"bottom">, "product" | ReservedPropsType> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "product" | "bottom" | "svg" | ReservedPropsType> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    svg: {
        <T_6 extends {
            variants?: PlasmicFooter__VariantsArgs | undefined;
            args?: PlasmicFooter__ArgsType | undefined;
            overrides?: NodeOverridesType<"svg"> | undefined;
        } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"svg">, "product" | ReservedPropsType> & Omit<Partial<React.SVGProps<SVGSVGElement>>, "product" | "svg" | ReservedPropsType> & {
            key?: React.Key | undefined;
        }>(props: T_6 & p.StrictProps<T_6, {
            variants?: PlasmicFooter__VariantsArgs | undefined;
            args?: PlasmicFooter__ArgsType | undefined;
            overrides?: NodeOverridesType<"svg"> | undefined;
        } & Omit<PlasmicFooter__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooter__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"svg">, "product" | ReservedPropsType> & Omit<Partial<React.SVGProps<SVGSVGElement>>, "product" | "svg" | ReservedPropsType> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    internalVariantProps: "product"[];
    internalArgProps: never[];
};
export default PlasmicFooter;
