/** @jsxRuntime classic */
/** @jsx createPlasmicElementProxy */
/** @jsxFrag React.Fragment */
import * as React from "react";
import * as p from "@plasmicapp/react-web";
import { SingleBooleanChoiceArg, SingleChoiceArg } from "@plasmicapp/react-web";
import "@plasmicapp/react-web/lib/plasmic.css";
export type PlasmicFooterLink__VariantMembers = {
    isExternal: "isExternal";
    isNew: "isNew";
    isDefault: "isDefault";
    color: "mapMapGreen";
};
export type PlasmicFooterLink__VariantsArgs = {
    isExternal?: SingleBooleanChoiceArg<"isExternal">;
    isNew?: SingleBooleanChoiceArg<"isNew">;
    isDefault?: SingleBooleanChoiceArg<"isDefault">;
    color?: SingleChoiceArg<"mapMapGreen">;
};
export declare const PlasmicFooterLink__VariantProps: (keyof PlasmicFooterLink__VariantsArgs)[];
export type PlasmicFooterLink__ArgsType = {
    children?: React.ReactNode;
};
export declare const PlasmicFooterLink__ArgProps: "children"[];
export type PlasmicFooterLink__OverridesType = {
    root?: p.Flex<"div">;
    link?: p.Flex<"a">;
    externalLinkArrowIcon?: p.Flex<"div">;
    svg?: p.Flex<"svg">;
    newTag?: p.Flex<"div">;
    text?: p.Flex<"div">;
};
export interface DefaultFooterLinkProps {
    children?: React.ReactNode;
    isExternal?: SingleBooleanChoiceArg<"isExternal">;
    isNew?: SingleBooleanChoiceArg<"isNew">;
    isDefault?: SingleBooleanChoiceArg<"isDefault">;
    color?: SingleChoiceArg<"mapMapGreen">;
    className?: string;
}
declare const PlasmicDescendants: {
    readonly root: readonly ["root", "link", "externalLinkArrowIcon", "svg", "newTag", "text"];
    readonly link: readonly ["link"];
    readonly externalLinkArrowIcon: readonly ["externalLinkArrowIcon", "svg"];
    readonly svg: readonly ["svg"];
    readonly newTag: readonly ["newTag", "text"];
    readonly text: readonly ["text"];
};
type NodeNameType = keyof typeof PlasmicDescendants;
type DescendantsType<T extends NodeNameType> = (typeof PlasmicDescendants)[T][number];
type ReservedPropsType = "variants" | "args" | "overrides";
type NodeOverridesType<T extends NodeNameType> = Pick<PlasmicFooterLink__OverridesType, DescendantsType<T>>;
export declare const PlasmicFooterLink: {
    <T extends {
        variants?: PlasmicFooterLink__VariantsArgs | undefined;
        args?: PlasmicFooterLink__ArgsType | undefined;
        overrides?: NodeOverridesType<"root"> | undefined;
    } & Omit<PlasmicFooterLink__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooterLink__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"root">, "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "link" | "svg" | "text" | "children" | "root" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs | "externalLinkArrowIcon" | "newTag"> & {
        key?: React.Key | undefined;
    }>(props: T & p.StrictProps<T, {
        variants?: PlasmicFooterLink__VariantsArgs | undefined;
        args?: PlasmicFooterLink__ArgsType | undefined;
        overrides?: NodeOverridesType<"root"> | undefined;
    } & Omit<PlasmicFooterLink__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooterLink__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"root">, "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "link" | "svg" | "text" | "children" | "root" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs | "externalLinkArrowIcon" | "newTag"> & {
        key?: React.Key | undefined;
    }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
    displayName: string;
} & {
    link: {
        <T_1 extends {
            variants?: PlasmicFooterLink__VariantsArgs | undefined;
            args?: PlasmicFooterLink__ArgsType | undefined;
            overrides?: NodeOverridesType<"link"> | undefined;
        } & Omit<PlasmicFooterLink__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooterLink__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"link">, "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.AnchorHTMLAttributes<HTMLAnchorElement>, HTMLAnchorElement>>, "link" | "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & {
            key?: React.Key | undefined;
        }>(props: T_1 & p.StrictProps<T_1, {
            variants?: PlasmicFooterLink__VariantsArgs | undefined;
            args?: PlasmicFooterLink__ArgsType | undefined;
            overrides?: NodeOverridesType<"link"> | undefined;
        } & Omit<PlasmicFooterLink__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooterLink__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"link">, "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.AnchorHTMLAttributes<HTMLAnchorElement>, HTMLAnchorElement>>, "link" | "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    externalLinkArrowIcon: {
        <T_2 extends {
            variants?: PlasmicFooterLink__VariantsArgs | undefined;
            args?: PlasmicFooterLink__ArgsType | undefined;
            overrides?: NodeOverridesType<"externalLinkArrowIcon"> | undefined;
        } & Omit<PlasmicFooterLink__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooterLink__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"externalLinkArrowIcon">, "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "svg" | "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs | "externalLinkArrowIcon"> & {
            key?: React.Key | undefined;
        }>(props: T_2 & p.StrictProps<T_2, {
            variants?: PlasmicFooterLink__VariantsArgs | undefined;
            args?: PlasmicFooterLink__ArgsType | undefined;
            overrides?: NodeOverridesType<"externalLinkArrowIcon"> | undefined;
        } & Omit<PlasmicFooterLink__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooterLink__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"externalLinkArrowIcon">, "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "svg" | "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs | "externalLinkArrowIcon"> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    svg: {
        <T_3 extends {
            variants?: PlasmicFooterLink__VariantsArgs | undefined;
            args?: PlasmicFooterLink__ArgsType | undefined;
            overrides?: NodeOverridesType<"svg"> | undefined;
        } & Omit<PlasmicFooterLink__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooterLink__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"svg">, "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & Omit<Partial<React.SVGProps<SVGSVGElement>>, "svg" | "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & {
            key?: React.Key | undefined;
        }>(props: T_3 & p.StrictProps<T_3, {
            variants?: PlasmicFooterLink__VariantsArgs | undefined;
            args?: PlasmicFooterLink__ArgsType | undefined;
            overrides?: NodeOverridesType<"svg"> | undefined;
        } & Omit<PlasmicFooterLink__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooterLink__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"svg">, "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & Omit<Partial<React.SVGProps<SVGSVGElement>>, "svg" | "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    newTag: {
        <T_4 extends {
            variants?: PlasmicFooterLink__VariantsArgs | undefined;
            args?: PlasmicFooterLink__ArgsType | undefined;
            overrides?: NodeOverridesType<"newTag"> | undefined;
        } & Omit<PlasmicFooterLink__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooterLink__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"newTag">, "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "text" | "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs | "newTag"> & {
            key?: React.Key | undefined;
        }>(props: T_4 & p.StrictProps<T_4, {
            variants?: PlasmicFooterLink__VariantsArgs | undefined;
            args?: PlasmicFooterLink__ArgsType | undefined;
            overrides?: NodeOverridesType<"newTag"> | undefined;
        } & Omit<PlasmicFooterLink__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooterLink__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"newTag">, "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "text" | "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs | "newTag"> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    text: {
        <T_5 extends {
            variants?: PlasmicFooterLink__VariantsArgs | undefined;
            args?: PlasmicFooterLink__ArgsType | undefined;
            overrides?: NodeOverridesType<"text"> | undefined;
        } & Omit<PlasmicFooterLink__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooterLink__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"text">, "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "text" | "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & {
            key?: React.Key | undefined;
        }>(props: T_5 & p.StrictProps<T_5, {
            variants?: PlasmicFooterLink__VariantsArgs | undefined;
            args?: PlasmicFooterLink__ArgsType | undefined;
            overrides?: NodeOverridesType<"text"> | undefined;
        } & Omit<PlasmicFooterLink__VariantsArgs, ReservedPropsType> & Omit<PlasmicFooterLink__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"text">, "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "text" | "children" | ReservedPropsType | keyof PlasmicFooterLink__VariantsArgs> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    internalVariantProps: (keyof PlasmicFooterLink__VariantsArgs)[];
    internalArgProps: "children"[];
};
export default PlasmicFooterLink;
