/** @jsxRuntime classic */
/** @jsx createPlasmicElementProxy */
/** @jsxFrag React.Fragment */
import * as React from "react";
import * as p from "@plasmicapp/react-web";
import { MultiChoiceArg, SingleChoiceArg } from "@plasmicapp/react-web";
import { AntdInput } from "@plasmicpkgs/antd5/skinny/registerInput";
import "@plasmicapp/react-web/lib/plasmic.css";
export type PlasmicNewsletterForm__VariantMembers = {
    stage: "beforeSubmit" | "afterSubmit" | "failedSubmit";
    color: "mapMapGreen";
};
export type PlasmicNewsletterForm__VariantsArgs = {
    stage?: SingleChoiceArg<"beforeSubmit" | "afterSubmit" | "failedSubmit">;
    color?: MultiChoiceArg<"mapMapGreen">;
};
export declare const PlasmicNewsletterForm__VariantProps: (keyof PlasmicNewsletterForm__VariantsArgs)[];
export type PlasmicNewsletterForm__ArgsType = {
    value?: string;
    sendNewsLetter?: (event: any) => void;
};
export declare const PlasmicNewsletterForm__ArgProps: (keyof PlasmicNewsletterForm__ArgsType)[];
export type PlasmicNewsletterForm__OverridesType = {
    container?: p.Flex<"div">;
    newsletterForm?: p.Flex<"form">;
    emailInput?: p.Flex<typeof AntdInput>;
    submitButton?: p.Flex<"button">;
    submitMessageContainer?: p.Flex<"div">;
    submitMessage?: p.Flex<"div">;
};
export interface DefaultNewsletterFormProps {
    value?: string;
    sendNewsLetter?: (event: any) => void;
    stage?: SingleChoiceArg<"beforeSubmit" | "afterSubmit" | "failedSubmit">;
    color?: MultiChoiceArg<"mapMapGreen">;
    className?: string;
}
declare const PlasmicDescendants: {
    readonly container: readonly ["container", "newsletterForm", "emailInput", "submitButton", "submitMessageContainer", "submitMessage"];
    readonly newsletterForm: readonly ["newsletterForm", "emailInput", "submitButton"];
    readonly emailInput: readonly ["emailInput"];
    readonly submitButton: readonly ["submitButton"];
    readonly submitMessageContainer: readonly ["submitMessageContainer", "submitMessage"];
    readonly submitMessage: readonly ["submitMessage"];
};
type NodeNameType = keyof typeof PlasmicDescendants;
type DescendantsType<T extends NodeNameType> = (typeof PlasmicDescendants)[T][number];
type ReservedPropsType = "variants" | "args" | "overrides";
type NodeOverridesType<T extends NodeNameType> = Pick<PlasmicNewsletterForm__OverridesType, DescendantsType<T>>;
export declare const PlasmicNewsletterForm: {
    <T extends {
        variants?: PlasmicNewsletterForm__VariantsArgs | undefined;
        args?: PlasmicNewsletterForm__ArgsType | undefined;
        overrides?: NodeOverridesType<"container"> | undefined;
    } & Omit<PlasmicNewsletterForm__VariantsArgs, ReservedPropsType> & Omit<PlasmicNewsletterForm__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"container">, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "container" | ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType | "newsletterForm" | "emailInput" | "submitButton" | "submitMessageContainer" | "submitMessage"> & {
        key?: React.Key | undefined;
    }>(props: T & p.StrictProps<T, {
        variants?: PlasmicNewsletterForm__VariantsArgs | undefined;
        args?: PlasmicNewsletterForm__ArgsType | undefined;
        overrides?: NodeOverridesType<"container"> | undefined;
    } & Omit<PlasmicNewsletterForm__VariantsArgs, ReservedPropsType> & Omit<PlasmicNewsletterForm__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"container">, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, "container" | ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType | "newsletterForm" | "emailInput" | "submitButton" | "submitMessageContainer" | "submitMessage"> & {
        key?: React.Key | undefined;
    }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
    displayName: string;
} & {
    newsletterForm: {
        <T_1 extends {
            variants?: PlasmicNewsletterForm__VariantsArgs | undefined;
            args?: PlasmicNewsletterForm__ArgsType | undefined;
            overrides?: NodeOverridesType<"newsletterForm"> | undefined;
        } & Omit<PlasmicNewsletterForm__VariantsArgs, ReservedPropsType> & Omit<PlasmicNewsletterForm__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"newsletterForm">, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType> & Omit<Partial<React.DetailedHTMLProps<React.FormHTMLAttributes<HTMLFormElement>, HTMLFormElement>>, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType | "newsletterForm" | "emailInput" | "submitButton"> & {
            key?: React.Key | undefined;
        }>(props: T_1 & p.StrictProps<T_1, {
            variants?: PlasmicNewsletterForm__VariantsArgs | undefined;
            args?: PlasmicNewsletterForm__ArgsType | undefined;
            overrides?: NodeOverridesType<"newsletterForm"> | undefined;
        } & Omit<PlasmicNewsletterForm__VariantsArgs, ReservedPropsType> & Omit<PlasmicNewsletterForm__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"newsletterForm">, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType> & Omit<Partial<React.DetailedHTMLProps<React.FormHTMLAttributes<HTMLFormElement>, HTMLFormElement>>, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType | "newsletterForm" | "emailInput" | "submitButton"> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    emailInput: {
        <T_2 extends {
            variants?: PlasmicNewsletterForm__VariantsArgs | undefined;
            args?: PlasmicNewsletterForm__ArgsType | undefined;
            overrides?: NodeOverridesType<"emailInput"> | undefined;
        } & Omit<PlasmicNewsletterForm__VariantsArgs, ReservedPropsType> & Omit<PlasmicNewsletterForm__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"emailInput">, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType> & Omit<Partial<import("antd").InputProps & React.RefAttributes<import("rc-input").InputRef>>, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType | "emailInput"> & {
            key?: React.Key | undefined;
        }>(props: T_2 & p.StrictProps<T_2, {
            variants?: PlasmicNewsletterForm__VariantsArgs | undefined;
            args?: PlasmicNewsletterForm__ArgsType | undefined;
            overrides?: NodeOverridesType<"emailInput"> | undefined;
        } & Omit<PlasmicNewsletterForm__VariantsArgs, ReservedPropsType> & Omit<PlasmicNewsletterForm__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"emailInput">, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType> & Omit<Partial<import("antd").InputProps & React.RefAttributes<import("rc-input").InputRef>>, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType | "emailInput"> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    submitButton: {
        <T_3 extends {
            variants?: PlasmicNewsletterForm__VariantsArgs | undefined;
            args?: PlasmicNewsletterForm__ArgsType | undefined;
            overrides?: NodeOverridesType<"submitButton"> | undefined;
        } & Omit<PlasmicNewsletterForm__VariantsArgs, ReservedPropsType> & Omit<PlasmicNewsletterForm__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"submitButton">, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType> & Omit<Partial<React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>>, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType | "submitButton"> & {
            key?: React.Key | undefined;
        }>(props: T_3 & p.StrictProps<T_3, {
            variants?: PlasmicNewsletterForm__VariantsArgs | undefined;
            args?: PlasmicNewsletterForm__ArgsType | undefined;
            overrides?: NodeOverridesType<"submitButton"> | undefined;
        } & Omit<PlasmicNewsletterForm__VariantsArgs, ReservedPropsType> & Omit<PlasmicNewsletterForm__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"submitButton">, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType> & Omit<Partial<React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>>, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType | "submitButton"> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    submitMessageContainer: {
        <T_4 extends {
            variants?: PlasmicNewsletterForm__VariantsArgs | undefined;
            args?: PlasmicNewsletterForm__ArgsType | undefined;
            overrides?: NodeOverridesType<"submitMessageContainer"> | undefined;
        } & Omit<PlasmicNewsletterForm__VariantsArgs, ReservedPropsType> & Omit<PlasmicNewsletterForm__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"submitMessageContainer">, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType | "submitMessageContainer" | "submitMessage"> & {
            key?: React.Key | undefined;
        }>(props: T_4 & p.StrictProps<T_4, {
            variants?: PlasmicNewsletterForm__VariantsArgs | undefined;
            args?: PlasmicNewsletterForm__ArgsType | undefined;
            overrides?: NodeOverridesType<"submitMessageContainer"> | undefined;
        } & Omit<PlasmicNewsletterForm__VariantsArgs, ReservedPropsType> & Omit<PlasmicNewsletterForm__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"submitMessageContainer">, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType | "submitMessageContainer" | "submitMessage"> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    submitMessage: {
        <T_5 extends {
            variants?: PlasmicNewsletterForm__VariantsArgs | undefined;
            args?: PlasmicNewsletterForm__ArgsType | undefined;
            overrides?: NodeOverridesType<"submitMessage"> | undefined;
        } & Omit<PlasmicNewsletterForm__VariantsArgs, ReservedPropsType> & Omit<PlasmicNewsletterForm__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"submitMessage">, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType | "submitMessage"> & {
            key?: React.Key | undefined;
        }>(props: T_5 & p.StrictProps<T_5, {
            variants?: PlasmicNewsletterForm__VariantsArgs | undefined;
            args?: PlasmicNewsletterForm__ArgsType | undefined;
            overrides?: NodeOverridesType<"submitMessage"> | undefined;
        } & Omit<PlasmicNewsletterForm__VariantsArgs, ReservedPropsType> & Omit<PlasmicNewsletterForm__ArgsType, ReservedPropsType> & Omit<NodeOverridesType<"submitMessage">, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType> & Omit<Partial<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>>, ReservedPropsType | keyof PlasmicNewsletterForm__VariantsArgs | keyof PlasmicNewsletterForm__ArgsType | "submitMessage"> & {
            key?: React.Key | undefined;
        }>): React.ReactElement<any, string | React.JSXElementConstructor<any>> | null;
        displayName: string;
    };
    internalVariantProps: (keyof PlasmicNewsletterForm__VariantsArgs)[];
    internalArgProps: (keyof PlasmicNewsletterForm__ArgsType)[];
};
export default PlasmicNewsletterForm;
